using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DebugDrill : MonoBehaviour, IMonsterKiller
{
    [SerializeField] private int _damage = 1;
    public int Damage { get { return _damage; } }

    public bool Enable => true;

    public void Start()
    {
        GetComponent<Rigidbody2D>().velocity = Vector2.up * 4.0f;
    }

    void Update()
    {
        if (transform.position.y > 0)
        {
            GameObject.Destroy(gameObject);
        }
    }
}
